Content Blocking

About Content Blocking

Outpost Firewall's Content Blocking Plug-In can block the web pages and web sites using:

  • Blocking Site by word - If a web page contains any of the words you have put in the block words list it will not be displayed

  • Blocking sites by URL - If a web page has an address (URL) that contains one of the words from blocked URL lists it will not be displayed.

Related Topics

Viewing the Content Blocking log

About blocking a site by words

About blocking sites by URL


Viewing the Content Blocking Log

To view the Content Blocking log:

  1. Right-click on the Outpost Firewall icon in the system tray to get the context menu.

  2. Select Show Outpost Firewall

  3. Highlight Content in the Plug-Ins tree.

  4. Now you will be able to view general stats for sites that have been blocked by the Content Blocking Plug-in and the reason is was blocked.

  5. Press the Show Detailed Log button on the plug-in Information Panel.

  6. Outpost Log Viewer will be run displaying the log for the Content Blocking plug-in log.

For more information about the Outpost log system, please read The Outpost Log System chapter.

Related Topics

About Content blocking

About blocking a site by words

About blocking sites by URL


Blocking a Site by Words

About Blocking a Site by Words

Outpost Firewall's Content Blocking Plug-in can block web pages based on the words that are contained on those pages. If a web page contains any of the words on your blocked words list, it will not be displayed.

The following topics describe how to set-up Blocking sites by words:

Enabling blocking sites by words

Adding words to the block list

Editing words in the block list

Removing words from the block list

Related Topics

About Content blocking

Viewing the Content Blocking log

About blocking sites by URL


Enabling Blocking Sites by Words

To enable web site blocking by words:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Words tab

  6. Check Enable content blocking

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About blocking a site by words

Adding words to the block list

Editing words in the block list

Removing words from the block list

Viewing the Content Blocking log


Adding Words to the Block List

To add a word to the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Words tab

  6. Type in the word

  7. Press Add

  8. Press OK.

Any web page that contains this word is not displayed in the web browser.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About blocking a site by words

Editing words in the block list

Removing words from the block list


Editing Words in the Block List

To edit a word in the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Words tab

  6. Highlight the word you want to edit

  7. Type in your changes

  8. Press Modify

  9. Press OK.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About blocking a site by words

Adding words to the block list

Removing words from the block list


Removing Words from the Block List

To remove a word from the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Words tab

  6. Highlight the word you want to remove

  7. Press Remove

  8. Press OK.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About blocking a site by words

Adding words to the block list

Editing words in the block list


Blocking Site by URL

About Blocking Site by URL

Outpost Firewall's Content Blocking Plug-In can block web pages and web sites based on the string in the URL. If a web page has an address (URL) that contains one of the words from the blocked URL strings list, it will not be displayed.

The following topics describe how to set-up Blocking sites by URL:

Enabling Blocking Site by URL

Adding a site to the block list

Editing a site in the block list

Removing a site from the block list

Related Topics

About Content blocking

Viewing the Content Blocking log

About blocking a site by words


Enabling Blocking Site by URL

To enable web site blocking by URL:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Sites tab

  6. Check Enable site blocking.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Blocking Site by URL

Adding a site to the block list

Editing a site in the block list

Removing a site from the block list


Adding a Site to the Block List

To add a word to the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Sites tab

  6. Type in the string contained in the URL that you do not want to be displayed (ex. explosive)

  7. Press Add

  8. Press OK.

Any web page address that contains this word (eg. "explosive") are not be displayed in the web browser.

Notes

    • It is not nessasery to add "*" symbols in the word you enter because the Content Blocking plug-in will search the whole URL for the string you have entered. For example, if you add "explosive " the following sites will be blocked www.how-to-make-explosive.com, www.explosive.com , www.explosivetutorial.net and all others that have the "explosive" sub-string in their addresses.

    • You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Blocking Site by URL

Editing a site in the block list

Removing a site from the block list


Editing a Site in the Block List

To edit a word in the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Sites tab

  6. Highlight the word you want to change

  7. Type in your changes

  8. Press Modify

  9. Press OK.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Blocking Site by URL

Adding a site to the block list

Removing a site from the block list


Removing a Site from the Block List

To remove a word from the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Sites tab

  6. Highlight the word you want to remove

  7. Press Remove

  8. Press OK.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Blocking Site by URL

Adding a site to the block list

Editing a site in the block list


.topic 0x808b0001
Applies and saves any changes you have made, and then closes this dialog box.

.topic 0x808b0002
The Cancel button closes this dialog box without saving any changes you have made. The Close button closes this dialog box and retains the changes you made.

.IDD_PAGE_CONTENTSITES (6) ************************************************************************

.topic 0x809007d0
A checkmark enables content blocking by domain names.

.topic 0x05
An input field to enter a domain name (eg. asite.com). Note: do not use wildcards.

.topic 0x04
The list of site addresses to be blocked.

.topic 0x01
Adds the site address that you specified in the input field to the list of sites to be blocked.

.topic 0x02
Removes a highlighted site from the list.

.topic 0x03
Lets you modify a highlighted site address that is in the list of site to be blocked.

.IDD_PAGE_CONTENTWORD (6) *************************************************************************

.topic 0x808f03eb
A checkmark enables content blocking by words in web pages.

.topic 0x06
Adds the word or phrase you specified in the input field to the list of blocked words.

.topic 0x07
Removes a highlighted word from the list of words to be blocked.

.topic 0x08
Lets you modify a highlighted word in the list of blocked words.

.topic 0x09
The list of words that are used to block the viewing of any web pages containing them.

.topic 0x0a
An input field to enter the words you want blocked.